> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openwhispr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List API keys

> List all active API keys for the authenticated user.



## OpenAPI

````yaml /openapi.json get /keys/list
openapi: 3.1.0
info:
  title: OpenWhispr API
  version: 1.0.0
  description: Manage notes, folders, transcriptions, and usage programmatically.
servers:
  - url: https://api.openwhispr.com/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /keys/list:
    get:
      tags:
        - Keys
      summary: List API keys
      description: List all active API keys for the authenticated user.
      operationId: listApiKeys
      responses:
        '200':
          description: List of API keys.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ApiKey'
        '401':
          description: Invalid or expired token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
        - sessionToken: []
components:
  schemas:
    ApiKey:
      type: object
      properties:
        id:
          type: string
          format: uuid
        key:
          type: string
          description: Full API key (only returned on creation)
        name:
          type: string
        key_prefix:
          type: string
        scopes:
          type: array
          items:
            type: string
        last_used_at:
          type: string
          format: date-time
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
        created_at:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key starting with owk_live_
    sessionToken:
      type: http
      scheme: bearer
      description: Short-lived session token starting with owt_

````